import{s as re,n as oe,o as fe}from"../chunks/scheduler.d627b047.js";import{S as me,i as ue,g as o,s as n,r as k,A as de,h as f,f as a,c as l,j,u as w,x as $,k as K,y as p,a as r,v as A,d as M,t as O,w as S}from"../chunks/index.d48c4817.js";import{D as pe}from"../chunks/Docstring.270658d8.js";import{H as Y}from"../chunks/Heading.47e562a9.js";function ce(Z){let m,I,N,F,c,R,T,ee='<a href="/docs/peft/main/en/package_reference/peft_types#peft.PeftType">PeftType</a> includes the supported adapters in PEFT, and <a href="/docs/peft/main/en/package_reference/peft_types#peft.TaskType">TaskType</a> includes PEFT-supported tasks.',U,h,H,s,v,V,y,te="Enum class for the different types of adapters in PEFT.",X,P,ae="Supported PEFT types:",z,E,ne="<li>PROMPT_TUNING</li> <li>MULTITASK_PROMPT_TUNING</li> <li>P_TUNING</li> <li>PREFIX_TUNING</li> <li>LORA</li> <li>ADALORA</li> <li>ADAPTION_PROMPT</li> <li>IA3</li> <li>LOHA</li> <li>LOKR</li> <li>OFT</li>",q,_,D,i,g,B,x,le="Enum class for the different types of tasks supported by PEFT.",J,b,se="Overview of the supported task types:",W,C,ie=`<li>SEQ_CLS: Text classification.</li> <li>SEQ_2_SEQ_LM: Sequence-to-sequence language modeling.</li> <li>Causal LM: Causal language modeling.</li> <li>TOKEN_CLS: Token classification.</li> <li>QUESTION_ANS: Question answering.</li> <li>FEATURE_EXTRACTION: Feature extraction. Provides the hidden states which can be used as embeddings or features
for downstream tasks.</li>`,Q,L,G;return c=new Y({props:{title:"PEFT types",local:"peft-types",headingTag:"h1"}}),h=new Y({props:{title:"PeftType",local:"peft.PeftType",headingTag:"h2"}}),v=new pe({props:{name:"class peft.PeftType",anchor:"peft.PeftType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/utils/peft_types.py#L22"}}),_=new Y({props:{title:"TaskType",local:"peft.TaskType",headingTag:"h2"}}),g=new pe({props:{name:"class peft.TaskType",anchor:"peft.TaskType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/utils/peft_types.py#L54"}}),{c(){m=o("meta"),I=n(),N=o("p"),F=n(),k(c.$$.fragment),R=n(),T=o("p"),T.innerHTML=ee,U=n(),k(h.$$.fragment),H=n(),s=o("div"),k(v.$$.fragment),V=n(),y=o("p"),y.textContent=te,X=n(),P=o("p"),P.textContent=ae,z=n(),E=o("ul"),E.innerHTML=ne,q=n(),k(_.$$.fragment),D=n(),i=o("div"),k(g.$$.fragment),B=n(),x=o("p"),x.textContent=le,J=n(),b=o("p"),b.textContent=se,W=n(),C=o("ul"),C.innerHTML=ie,Q=n(),L=o("p"),this.h()},l(e){const t=de("svelte-u9bgzb",document.head);m=f(t,"META",{name:!0,content:!0}),t.forEach(a),I=l(e),N=f(e,"P",{}),j(N).forEach(a),F=l(e),w(c.$$.fragment,e),R=l(e),T=f(e,"P",{"data-svelte-h":!0}),$(T)!=="svelte-1m2hslm"&&(T.innerHTML=ee),U=l(e),w(h.$$.fragment,e),H=l(e),s=f(e,"DIV",{class:!0});var u=j(s);w(v.$$.fragment,u),V=l(u),y=f(u,"P",{"data-svelte-h":!0}),$(y)!=="svelte-12q47m8"&&(y.textContent=te),X=l(u),P=f(u,"P",{"data-svelte-h":!0}),$(P)!=="svelte-8tjp18"&&(P.textContent=ae),z=l(u),E=f(u,"UL",{"data-svelte-h":!0}),$(E)!=="svelte-h8bko9"&&(E.innerHTML=ne),u.forEach(a),q=l(e),w(_.$$.fragment,e),D=l(e),i=f(e,"DIV",{class:!0});var d=j(i);w(g.$$.fragment,d),B=l(d),x=f(d,"P",{"data-svelte-h":!0}),$(x)!=="svelte-1fs64u2"&&(x.textContent=le),J=l(d),b=f(d,"P",{"data-svelte-h":!0}),$(b)!=="svelte-f3it03"&&(b.textContent=se),W=l(d),C=f(d,"UL",{"data-svelte-h":!0}),$(C)!=="svelte-1bnvjmb"&&(C.innerHTML=ie),d.forEach(a),Q=l(e),L=f(e,"P",{}),j(L).forEach(a),this.h()},h(){K(m,"name","hf:doc:metadata"),K(m,"content",Te),K(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),K(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){p(document.head,m),r(e,I,t),r(e,N,t),r(e,F,t),A(c,e,t),r(e,R,t),r(e,T,t),r(e,U,t),A(h,e,t),r(e,H,t),r(e,s,t),A(v,s,null),p(s,V),p(s,y),p(s,X),p(s,P),p(s,z),p(s,E),r(e,q,t),A(_,e,t),r(e,D,t),r(e,i,t),A(g,i,null),p(i,B),p(i,x),p(i,J),p(i,b),p(i,W),p(i,C),r(e,Q,t),r(e,L,t),G=!0},p:oe,i(e){G||(M(c.$$.fragment,e),M(h.$$.fragment,e),M(v.$$.fragment,e),M(_.$$.fragment,e),M(g.$$.fragment,e),G=!0)},o(e){O(c.$$.fragment,e),O(h.$$.fragment,e),O(v.$$.fragment,e),O(_.$$.fragment,e),O(g.$$.fragment,e),G=!1},d(e){e&&(a(I),a(N),a(F),a(R),a(T),a(U),a(H),a(s),a(q),a(D),a(i),a(Q),a(L)),a(m),S(c,e),S(h,e),S(v),S(_,e),S(g)}}}const Te='{"title":"PEFT types","local":"peft-types","sections":[{"title":"PeftType","local":"peft.PeftType","sections":[],"depth":2},{"title":"TaskType","local":"peft.TaskType","sections":[],"depth":2}],"depth":1}';function he(Z){return fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ye extends me{constructor(m){super(),ue(this,m,he,ce,re,{})}}export{ye as component};
